Bug 11095 - Bad exit status from ... %prep
Bad exit status from ... %prep
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
http://www.3ware.co.jp/ (sorry, Japan...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-28 09:56 EDT by C. Ray Ng
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-18 17:33:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description C. Ray Ng 2000-04-28 09:56:57 EDT
When source tree includes symbolic link which points non-existent file
and its owner/group is not root, automatically generated script for prep
stage fails at chgrp line.

This bug can be resolved either adding h option to the chgrp command or
specifying "root.root" option to the chown command.  A patch I created is
attached below for your info.


diff -uNr rpm-3.0.2.orig/macros.in rpm-3.0.2/macros.in
--- rpm-3.0.2.orig/macros.in    Sat May 15 03:59:43 1999
+++ rpm-3.0.2/macros.in Fri Apr 28 21:07:55 2000
@@ -65,7 +65,7 @@
 #
 # XXX fixowner, fixgroup, and fixperms are run at the end of hardcoded
setup
 %_fixowner             [ `%{__id} -u` = '0' ] && %{__chown} -Rf root
-%_fixgroup             [ `%{__id} -u` = '0' ] && %{__chgrp} -Rf
@ROOT_GROUP@
+%_fixgroup             [ `%{__id} -u` = '0' ] && %{__chgrp} -Rhf
@ROOT_GROUP@
 %_fixperms             %{__chmod} -Rf @FIXPERMS@
 #
 %_gzipbin              @GZIPBIN@
Comment 1 Jeff Johnson 2001-07-25 17:22:05 EDT
The _fixowner/_fixgroup/_fixuser macros are being phased
out of rpm's default configuration. Configure per-system
if you want the old behavior.

Note You need to log in before you can comment on or make changes to this bug.